LINUX.ORG.RU
решено ФорумGames

Minecraft 1.8+ не работает

 , ,


0

2

Несколько месяцев назад решил поиграть в кубач. Скачал, запустил 1.7.10 версию — работает. Потом решил попробовать версии поновее, выбрал 1.8, она тоже работала, но работала ОЧЕНЬ плохо. Версию ещё новее я даже запустить не смог, ошибка «No OpenGL context found in the current thread.», я немного порыл и забил.

На тот момент у меня стояла нестабильная гента, да и minecraft был в чруте, потому собственно и забил, думал что проблема в моей генточке/чруте, разбираться было лень. Сейчас же я переставил генту. Свежая, по прежнему нестабильная, но по идеи должна работать нормально. По этому поводу я решил ещё раз поставить minecraft, в этот раз на основную систему, поставил... Та же ошибка. По прежнему только 1.7.10 %%и более ранние%% работает нормально. Всё тоже самое короче. В чём проблема?

Ответ на: комментарий от crutch_master

jlwgl

Нагуглил только lwjgl, оно хоть? Немного не понял чем оно является и как его достать в генте. Можно подробнее?

kostyl ()

Скачал, запустил

мало-ли чего тебе в крякнутую игру напихают. С чего ты взял что она вообще рабочая?

peregrine ★★★★★ ()
Ответ на: комментарий от kostyl

Lwjgl - биндинги к OpenGL, OpenAL и OpenCL для жабки. Скачать можно тут. куда либы пихать сам разберешься.

Unicode4all ★★★★★ ()
Последнее исправление: Unicode4all (всего исправлений: 1)
Ответ на: комментарий от peregrine

А с чего ты взял что у меня крякнутая игра? Лаунчер брал из minecraft.net.

kostyl ()
Ответ на: комментарий от Unicode4all

куда либы пихать сам разберешься

В /lib64? Не работает. Я ещё попробовал выполнить «locate lwjgl», оказалось minecraft сам для каждой версии эти либы скачивает, я их тоже заменил, но это ничего не дало. Куда ещё пихнуть? Может не в них проблема?

kostyl ()
Ответ на: комментарий от kostyl

Да оно. Я буквы перепутал:)
Скачай so'шку и подсунь её mc. Куда что он ставит в генте я не знаю, но помню, что либы он тащит свои.

crutch_master ★★★★★ ()
Ответ на: комментарий от Unicode4all

Оно устарело. Теперь диры ~/.minecraft/bin нету, lwjgl лежит в ~/.minecraft/libraries/org/lwjgl/lwjgl, там лежат ещё три диры lwjgl, lwjgl-platform и lwjgl_util, в каждой из них по две диры 2.9.1 и 2.9.4-nightly-20150209, в них уже jar'ики. Я все эти jar'ики позаменял на самую свежую lwjgl 3.0.0 build 90, вот прямо в тупую все, ошибка не поменялась, старые версии по прежнему работают, лол.

Я что-то не так делаю?

Алсо, только заметил, на той странице написано:

В обновлении LWJGL больше нет надобности
С версии 1.6 и введения нового лаунчера LWJGL обновляется автоматически.

kostyl ()
Ответ на: комментарий от kostyl

Хотя нет, третья не подходит, нужна последняя вторая, ибо с неправильным lwjgl даже краш-репорта нет, а вот с правильным есть. В любом случае кубы не хотят работать, я уже много часов пытаюсь понять в чём проблема, и могу точно сказать, что не в lwjgl, по крайней мере не в тех jar'ах lwjgl'а, которые лежат в ~/.minecraft/libraries/org/lwjgl/lwjgl, а это единственные jar'ы lwjgl'а.

Нативные, к слову, тоже заменял, ничего не изменилось.

kostyl ()

Оно от лукавого.
Есть TrueCraft да и Minetest.

Unununij ★★★★ ()

Решение так и не нашли? Наткнулся на ту же проблему на арче

SeTSeR ()
Ответ на: xrandr от tamo

Помогло, спасибо

SeTSeR ()
Ответ на: xrandr от tamo

Жесть, а ведь действительно помогло, помогло же! Ну ты конечно, просто xrandr... Кучу времени мучаюсь с этой проблемой, и просто не хватало сраного xrandr'a. Добра тебе.

kostyl ()

Hello and sorry for writing in English (I am currently not in Russia). I have another problem with Minecraft, but I didn't manage it to work. It freezes on the start page and it doesn't load.. Any ideas :(

Thanks in advance! :)

kysmet4e ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.